import { ContentConfig } from "/@/components/PageContent";
import { httpList, httpStatus, httpDelete } from "/@/api/parameter/card";
import { renderStatus } from "/@/utils/column-helper";
import { STATUS_OPTIONS } from "/@/config/status";

const columns = [
  {
    prop: "id",
    label: "ID"
  },
  {
    prop: "title",
    label: "卡类型"
  },

  {
    prop: "status",
    label: "状态",
    ...renderStatus(STATUS_OPTIONS)
  },
  {
    prop: "creater",
    label: "创建人"
  },
  {
    prop: "addtime",
    label: "创建时间"
  },

  {
    label: "操作",
    fixed: "right",
    width: 160,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "卡类型管理",
  columns,
  apis: {
    httpList,
    httpStatus,
    httpDelete
  }
};

export default contentConfig;
