import { ContentConfig } from "/@/components/PageContent";
import { httpDelete, httpStatus, httpList } from "/@/api/parameter/video";
import { renderStatus } from "/@/utils/column-helper";
import { STATUS_OPTIONS } from "/@/config/status";

const columns = [
  {
    prop: "id",
    label: "ID",
    width: "100px"
  },

  {
    prop: "video_name",
    label: "视频名称"
  },
  {
    prop: "status",
    label: "状态",
    ...renderStatus(STATUS_OPTIONS)
  },
  {
    prop: "video_url",
    label: "视频链接"
  },
  {
    prop: "addtime",
    label: "创建时间"
  },

  {
    label: "操作",
    fixed: "right",
    width: 160,
    slot: "operation"
  }
];
const contentConfig: ContentConfig = {
  title: "视频管理",
  columns,
  apis: {
    httpDelete,
    httpStatus,
    httpList
  }
};

export default contentConfig;
