import { ContentConfig } from "/@/components/PageContent";
import { httpList, httpStatus } from "/@/api/system/logistics";
import { renderStatus } from "/@/utils/column-helper";
import { STATUS_OPTIONS } from "/@/config/status";
const columns = [
  {
    type: "selection",
    minWidth: 55,
    align: "left",
    hide: ({ checkList }) => !checkList.includes("勾选列")
  },
  {
    label: "序号",
    type: "index",
    minWidth: 60,
    align: "left",
    hide: ({ checkList }) => !checkList.includes("序号列")
  },
  {
    label: "ID",
    prop: "id"
  },
  {
    label: "快递公司编码",
    prop: "express_code"
  },
  {
    label: "快递公司名称",
    prop: "express_name"
  },
  {
    prop: "status",
    label: "状态",
    idth: "100px",
    ...renderStatus(STATUS_OPTIONS)
  },
  {
    label: "联系电话",
    prop: "mobile"
  },
  {
    label: "官网地址",
    prop: "web_url"
  },
  {
    label: "操作",
    fixed: "right",
    width: 80,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "版本更新",
  columns,
  apis: {
    httpList,
    httpStatus
  }
};

export default contentConfig;
